async function main() {
	let speedscope_js = await utf8Decode(
		getFile('speedscope/speedscope-Y2522XSH.js')
	);
	speedscope_js = speedscope_js.replace(/alert\(`Cannot load.*?return/, '');
	app.setDocument(`
		<!DOCTYPE html>
		<html>
			<head>
				<meta charset="UTF-8">
				<meta name="viewport" content="width=device-width, initial-scale=1.0">
				<meta http-equiv="X-UA-Compatible" content="ie=edge">
				<title>speedscope</title>
				<link rel="stylesheet" href="speedscope/speedscope-GHPHNKXC.css">
			</head>
			<body>
				<script>
					delete window.localStorage;
					window.location.hash = '#profileURL=${core.url}../../trace';
				</script>
				<script>${speedscope_js}</script>
			</body>
		</html>
	`);
}

main();
